import { RovoChatPromptKey } from '../rovo-chat-utils';
export var getRovoPostAuthPromptKeys = function getRovoPostAuthPromptKeys(_ref) {
  var extensionKey = _ref.extensionKey;
  var defaultPrompts = [RovoChatPromptKey.KEY_HIGHLIGHTS];
  if (extensionKey === 'github-object-provider' || extensionKey === 'gitlab-object-provider') {
    return [RovoChatPromptKey.EXPLAIN_CODE].concat(defaultPrompts);
  }
  return [RovoChatPromptKey.SUMMARIZE_DOCUMENT].concat(defaultPrompts);
};